## org.hibernate.transform
Class DistinctRootEntityResultTransformer

    java.lang.Object
      org.hibernate.transform.DistinctRootEntityResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer

    public class DistinctRootEntityResultTransformer

extends Object
implements ResultTransformer, Serializable

Much like `RootEntityResultTransformer`, but we also distinct the entity in the final result.

Since this transformer is stateless, all instances would be considered equal. So for optimization purposes we limit it to a single, singleton `instance`.

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static DistinctRootEntityResultTransformer` `INSTANCE`

Method Summary
`List` `transformList(List list)` Simply delegates to `DistinctResultTransformer.transformList(java.util.List)`.
`Object` `transformTuple(Object[] tuple, String[] aliases)` Simply delegates to `RootEntityResultTransformer.transformTuple(java.lang.Object[], java.lang.String[])`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DistinctRootEntityResultTransformer INSTANCE

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Simply delegates to `RootEntityResultTransformer.transformTuple(java.lang.Object[], java.lang.String[])`.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Parameters:
    `tuple` - The tuple to transform
    `aliases` - The tuple aliases
  Returns:
    The transformed tuple row.

### transformList

    public List transformList(List list)

  Simply delegates to `DistinctResultTransformer.transformList(java.util.List)`.

  Specified by:
    `transformList` in interface `ResultTransformer`
  Parameters:
    `list` - The list to transform.
  Returns:
    The transformed List.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.